body {
    font-family: Arial, sans-serif;
    background-color: #121212;
    margin: 0;
    padding: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100vw;
}

.song-container {
    position: relative;
    display: flex;
    width: 800px;
    height: 200px;
    padding: 20px;
    flex-direction: row;
    align-items: left;
    background-color: black;
    color: white;
    font-weight: bolder;
    border-radius: 30px;
    background-size: cover;
    transition: all 0.15s ease-in-out;
}

.song-container:hover {
    cursor: pointer;
    outline: white 5px solid;
    outline-offset: 5px;
}

.song-container:hover img {
    filter: brightness(0.45);
}

.song-container:hover .play-button {
    opacity: 1;
}

.song-container img {
    width: 200px;
    height: 200px;
    border-radius: 30px;
    transition: all 0.15s ease-in-out;
}

.song-info {
    margin-left: 20px;
    transition: all 0.15s ease-in-out;
}

.song-container:hover .song-info {
    filter: brightness(0.45);
}

.play-button {
    position: absolute;
    color: #f09837;
    width: 80px !important;
    height: 80px !important;
    top: 50%;
    left: 50%;
    opacity: 0;
    filter: brightness(1) !important;
    transform: translate(-50%, -50%);
    transition: all 0.15s ease-in-out;
}